Rename a passkey
curl --request PATCH \
--url https://api.next.orenda.finance/v1/auth/passkey/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"friendly_name": "Work laptop"
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}"
payload = { "friendly_name": "Work laptop" }
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-program-id': '<x-program-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({friendly_name: 'Work laptop'})
};
fetch('https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'friendly_name' => 'Work laptop'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}"
payload := strings.NewReader("{\n \"friendly_name\": \"Work laptop\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}")
.header("x-program-id", "<x-program-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"friendly_name\": \"Work laptop\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-program-id"] = '<x-program-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"friendly_name\": \"Work laptop\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": null
}Passkeys
Rename a passkey
Changes a passkey’s friendly name.
For new integrations use PATCH /v2/auth/passkey/credentials/{id}, which takes and returns camelCase field names (sessionToken, accessToken, …). This v1 route is unchanged.
PATCH
/
v1
/
auth
/
passkey
/
credentials
/
{id}
Rename a passkey
curl --request PATCH \
--url https://api.next.orenda.finance/v1/auth/passkey/credentials/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-program-id: <x-program-id>' \
--data '
{
"friendly_name": "Work laptop"
}
'import requests
url = "https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}"
payload = { "friendly_name": "Work laptop" }
headers = {
"x-program-id": "<x-program-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-program-id': '<x-program-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({friendly_name: 'Work laptop'})
};
fetch('https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'friendly_name' => 'Work laptop'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-program-id: <x-program-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}"
payload := strings.NewReader("{\n \"friendly_name\": \"Work laptop\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-program-id", "<x-program-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}")
.header("x-program-id", "<x-program-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"friendly_name\": \"Work laptop\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.next.orenda.finance/v1/auth/passkey/credentials/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-program-id"] = '<x-program-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"friendly_name\": \"Work laptop\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": null
}Authorizations
The user's access token from authentication (access_token on v1, accessToken on v2). The program and environment come from the token.
Headers
Identifies the program. Can also be sent as the programId query parameter.
Path Parameters
The credential id.
Body
application/json